PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List opportunities GETCreate an opportunity POSTGet an opportunity GETUpdate an opportunity PATCHDelete an opportunity DELETEMove an opportunity POST
Opportunities

Delete an opportunity

DELETE
/opportunities/{opportunityId}

Authorization

x-api-key<token>

In: header

Path Parameters

opportunityId*string

Response Body

application/json

curl -X DELETE "https://example.com/opportunities/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "pipelineId": "string",    "stageId": "string",    "contactId": "string",    "customerId": "string",    "name": "string",    "value": 0,    "currency": "string",    "ownerMembershipId": "string",    "nextFollowUpAt": "2019-08-24T14:15:22Z",    "rank": "string",    "qualFit": true,    "qualTimeline": true,    "qualBudget": true,    "qualDecisionMaker": true,    "qualAge": true,    "isQualified": true,    "closeReason": "NOT_FIT",    "closeNote": "string",    "nurtureReason": "TIMING",    "closedAt": "2019-08-24T14:15:22Z"  }}

Update an opportunity PATCH

Previous Page

Move an opportunity POST

A LOST stage needs closeReason. A nurture stage (isNurture) needs nurtureReason. Leaving a nurture stage (including Won, Lost, and other OPEN stages) clears nurtureReason. Moving to an OPEN stage also clears closeReason and closedAt.